/****************************************************************************/
/*	Purpose:	Driver for LCD Display 16x4									*/
/*	Version:	1.0															*/
/*	Author:		Mike Schaub													*/
/*	Date:		18.09.2005													*/
/*	www:		www.microcontroller-starterkits.de							*/
/*	email:																	*/
/*	Software:	WinARM to compile											*/
/*	Hardware:	LPC2194 with ARMEvoBoard									*/
/****************************************************************************/

#include "lpc21xx_keil.h"


#define  GLCD_D0	0x00000001		//	P0.00
#define  GLCD_D1	0x00000002		//	P0.01
#define  GLCD_D2	0x00000004		//	P0.02
#define  GLCD_D3	0x00000008		//	P0.03
#define  GLCD_D4	0x00000010		//	P0.04
#define  GLCD_D5	0x00000020		//	P0.05
#define  GLCD_D6	0x00000040		//	P0.06
#define  GLCD_D7	0x00000080		//	P0.07

#define  GLCD_RS	0x01000000		//	P1.24
#define  GLCD_RW	0x02000000		//	P1.25
#define  GLCD_EN	0x04000000		//	P1.26
#define  GLCD_CS1	0x08000000		//	P1.27
#define  GLCD_CS2	0x10000000		//	P1.28
#define  GLCD_RES	0x40000000		//	P1.30

#define  GLCD_DATA           0x000000FF
#define  GLCD_IOALL          (GLCD_DATA|GLCD_EN|GLCD_RS|GLCD_RW|GLCD_CS1|GLCD_CS2|GLCD_RES)



#define RESET			0x01	//	Reset		: 0=active
#define BUSY			0x80	//	Busy		: 1=active
#define DISP_ON_OFF		0x3E
#define DISP_SET_Y		0x40
#define DISP_SET_X		0xB8
#define DISP_START_LINE	0xC0
#define	RES				0x40

